## dials-data 2.0.0

=== requirements.txt ===
py==1.8.0
pytest==4.5.0
pyyaml==5.1
setuptools==41.0.1
six==1.12.0

=== debian/changelog ===
dials-data (2.0.0-3) unstable; urgency=medium

  * Source only upload for migration to testing
  
 -- Sebastien Delafond <seb@debian.org>  Mon, 07 Dec 2020 12:52:18 +0100

dials-data (2.0.0-2) unstable; urgency=medium

  * d/copyright: add missing assets with cc-by-sa-4.0

 -- Sebastien Delafond <seb@debian.org>  Wed, 15 Jul 2020 15:11:21 +0200

dials-data (2.0.0-1) unstable; urgency=medium

  * First release (Closes: #962458)
  
 -- Sebastien Delafond <seb@debian.org>  Mon, 08 Jun 2020 14:50:14 +0200

=== debian/control ===
Source: dials-data
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sebastien Delafond <seb@debian.org>
Build-Depends: debhelper (>= 12), dh-python, python3-setuptools, python3-all, python3-pytest-runner, python3-pytest, python3-yaml, python3-six, python3-mock
Standards-Version: 4.5.0
Homepage: https://github.com/dials/data
Vcs-Browser: https://salsa.debian.org/science-team/dials-data
Vcs-Git: https://salsa.debian.org/science-team/dials-data.git

Package: python3-dials-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Description: Python data files used for regression tests in DIALS, dxtbx, xia2
 Lightweight, simple Python(-only) package. It is used to provide
 access to data files used in regression tests, but does not contain
 any of those data files itself.
 .
 Although it is envisaged as mostly being used in a cctbx/DIALS
 environment for tests in DIALS, dxtbx, xia2 and related packages, it
 has no dependencies on either cctbx or DIALS, in fact all
 dependencies are explicitly declared in the setup.py file and are
 installable via standard setuptools/pip methods. This means
 dials_data can easily be used in other projects accessing the same
 data, and can be used in temporary environments such as Travis
 containers.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=dials-data
#export PYBUILD_DISABLE=test
# export PYBUILD_VERSIONS=3.8
# export PYBUILD_INTERPRETERS=python{version}

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3
https://github.com/dials/data/tags .*/v(\d[\d\.]*)\.tar\.gz debian uupdate

## dials-data 2.2.0

=== requirements.txt ===
importlib_resources>=1.1
py==1.10.0
pytest==6.2.3
pyyaml==5.4.1

## dials-data 2.3.0

=== requirements.txt ===
importlib_resources==5.4.0
py==1.11.0
pytest==6.2.5
pyyaml==6.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = dials_data
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
dials-data (2.3.0-1) unstable; urgency=medium

  [ Neil Williams ]
  * Add Frédéric Picca as Uploader
  * Update control to add Debian PaN maintainers

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 2.3.0

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 21 Jan 2022 10:05:36 +0100

dials-data (2.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.2.0
  * Wrapping and sorting.
  * Converting tabs to spaces in debian/copyright.
  * Bumping debhelper-compat (no changes).
  * Removing egg-info.
  * Cleaning up debian/rules.

 -- Andrius Merkys <merkys@debian.org>  Tue, 31 Aug 2021 01:50:47 -0400

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,34 @@
 Source: dials-data
 Section: python
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Sebastien Delafond <seb@debian.org>
-Build-Depends: debhelper (>= 12), dh-python, python3-setuptools, python3-all, python3-pytest-runner, python3-pytest, python3-yaml, python3-six, python3-mock
-Standards-Version: 4.5.0
+Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
+Uploaders:
+ Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
+ Sebastien Delafond <seb@debian.org>,
+ Picca Frédéric-Emmanuel <picca@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-python,
+ help2man,
+ python3-all,
+ python3-importlib-resources,
+ python3-mock,
+ python3-pytest,
+ python3-pytest-runner,
+ python3-setuptools,
+ python3-six,
+ python3-yaml,
+Standards-Version: 4.6.0
 Homepage: https://github.com/dials/data
 Vcs-Browser: https://salsa.debian.org/science-team/dials-data
 Vcs-Git: https://salsa.debian.org/science-team/dials-data.git
 
 Package: python3-dials-data
 Architecture: all
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
 Description: Python data files used for regression tests in DIALS, dxtbx, xia2
  Lightweight, simple Python(-only) package. It is used to provide
  access to data files used in regression tests, but does not contain

## dials-data 2.4.0

=== requirements.txt ===
importlib_resources==5.4.0
py==1.11.0
pytest==7.0.1
pyyaml==6.0
requests==2.27.1

=== debian/changelog ===
dials-data (2.4.0-3) unstable; urgency=medium

  * Team Upload
  * Bump Standards-Version to 4.7.2
  * Patch-out python3-importlib-resources

  [ Rahli Oussama ]
  * Added autopkgtest

 -- Alexandre Detiste <tchet@debian.org>  Fri, 22 Aug 2025 12:35:27 +0200

dials-data (2.4.0-2) unstable; urgency=medium

  * Team Upload
  * Remove extraneous python3-mock & python3-six build-dependencies
  * Use new dh-sequence-python3

  [ Sébastien Delafond ]
  * d/control: remove myself from uploaders

 -- Alexandre Detiste <tchet@debian.org>  Sun, 30 Jun 2024 01:22:02 +0200

dials-data (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0
  * d/control: Added python3-requests to B-D.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 20 Mar 2022 08:52:31 +0100

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,18 @@
 Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
 Uploaders:
  Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
- Sebastien Delafond <seb@debian.org>,
  Picca Frédéric-Emmanuel <picca@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  help2man,
  python3-all,
- python3-importlib-resources,
- python3-mock,
  python3-pytest,
  python3-pytest-runner,
+ python3-requests,
  python3-setuptools,
- python3-six,
  python3-yaml,
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/dials/data
 Vcs-Browser: https://salsa.debian.org/science-team/dials-data
 Vcs-Git: https://salsa.debian.org/science-team/dials-data.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=dials-data

PY3V := $(shell py3versions --default)

%:
	dh $@ --buildsystem=pybuild

override_dh_installman: debian/dials.data.1
	dh_installman

execute_after_dh_auto_clean:
	rm -rf dials_data.egg-info

debian/dials.data.1:
	PYTHONPATH=debian/python3-dials-data/usr/lib/${PY3V}/dist-packages \
		help2man debian/python3-dials-data/usr/bin/dials.data \
		--version-string $(DEB_VERSION_UPSTREAM) --name 'DIALS regression data manager' \
		--no-info > $@

=== debian/tests/control ===
Test-Command: xvfb-run -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" sh debian/tests/gui
Depends:
 debhelper,
 mesa-utils,
 @,
 xauth,
 xvfb,
Restrictions: allow-stderr

Tests: python
Depends:
 python3-pytest,
 python3-dials-data,
 python3-all,
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
https://github.com/dials/data/tags .*/v(\d[\d\.]*)\.tar\.gz debian uupdate
